Package org.jcsp.net.settings

# Class NodeProfile

java.lang.Object
org.jcsp.net.settings.NodeProfile

public class NodeProfile extends Object
Used internally within the JCSP network infrastructure to represent a node profile.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`NodeProfile(String name, boolean exactMatchRequired)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addReq(Req req)`
`boolean`
`equals(Object o)`
`boolean`
`getExactMatchRequired()`
`String`
`getName()`
`Req[]`
`getReqs()`
`int`
`hashCode()`
`void`
`removeReq(Req req)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NodeProfile

public NodeProfile(String name, boolean exactMatchRequired)

## Method Details

### addReq

public void addReq(Req req)

### removeReq

public void removeReq(Req req)

### getReqs

public Req[] getReqs()

### getName

public String getName()

### getExactMatchRequired

public boolean getExactMatchRequired()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`